Description: Remove optional content from the distribution (documentation, sources, test files, examples)
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/jetty-home/pom.xml
+++ b/jetty-home/pom.xml
@@ -73,16 +73,6 @@
               <artifactItems>
                 <artifactItem>
                   <groupId>org.eclipse.jetty</groupId>
-                  <artifactId>jetty-project</artifactId>
-                  <version>${project.version}</version>
-                  <classifier>version</classifier>
-                  <type>txt</type>
-                  <overWrite>true</overWrite>
-                  <outputDirectory>${assembly-directory}/</outputDirectory>
-                  <destFileName>VERSION.txt</destFileName>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.eclipse.jetty</groupId>
                   <artifactId>jetty-start</artifactId>
                   <version>${project.version}</version>
                   <classifier>shaded</classifier>
@@ -97,7 +87,7 @@
           </execution>
           <execution>
             <id>copy-setuid-deps</id>
-            <phase>generate-resources</phase>
+            <phase>none</phase>
             <goals>
               <goal>copy</goal>
             </goals>
@@ -287,11 +277,12 @@
                 <artifactItem>
                   <groupId>javax.servlet</groupId>
                   <artifactId>javax.servlet-api</artifactId>
-                  <version>3.1.0</version>
+                  <version>3.1</version>
                   <overWrite>true</overWrite>
                   <outputDirectory>${assembly-directory}/lib</outputDirectory>
                   <destFileName>servlet-api-3.1.jar</destFileName>
                 </artifactItem>
+<!--
                 <artifactItem>
                   <groupId>org.eclipse.jetty.toolchain</groupId>
                   <artifactId>jetty-schemas</artifactId>
@@ -300,6 +291,7 @@
                   <outputDirectory>${assembly-directory}/lib</outputDirectory>
                   <destFileName>jetty-schemas-3.1.jar</destFileName>
                 </artifactItem>
+-->
               </artifactItems>
             </configuration>
           </execution>
@@ -449,7 +441,7 @@
           </execution>
           <execution>
             <id>unpack-infinispan-config</id>
-            <phase>generate-resources</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
@@ -517,7 +509,7 @@
           </execution>
           <execution>
             <id>sources</id>
-            <phase>package</phase>
+            <phase>none</phase>
             <goals>
               <goal>single</goal>
             </goals>
--- a/jetty-distribution/pom.xml
+++ b/jetty-distribution/pom.xml
@@ -74,7 +74,7 @@
           </execution>
           <execution>
             <id>copy</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>copy</goal>
             </goals>
@@ -146,7 +146,7 @@
 
           <execution>
             <id>unpack-test-webapp-config</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
@@ -168,7 +168,7 @@
 
           <execution>
             <id>unpack-test-jaas-config</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
@@ -190,7 +190,7 @@
 
           <execution>
             <id>unpack-test-jndi-config</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
@@ -212,7 +212,7 @@
 
           <execution>
             <id>unpack-test-spec-config</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
@@ -233,7 +233,7 @@
           </execution>
           <execution>
             <id>unpack-documentation</id>
-            <phase>prepare-package</phase>
+            <phase>none</phase>
             <goals>
               <goal>unpack</goal>
             </goals>
